##  for PCLinuxOS  ##

Name:    fcitx5-gtk
Summary: Gtk im module for fcitx5 and glib based dbus client library
Version: 5.0.23
Release: 1.nora23
License: LGPL-2.1-or-later 
Group:   System/Internationalization 
Url:     https://github.com/fcitx/fcitx5-gtk
Source0:  %{name}-%{version}.tar.xz

BuildRequires: cmake
BuildRequires: extra-cmake-modules
BuildRequires: gcc-c++
BuildRequires: fcitx5-devel
BuildRequires: gtk+2-devel
BuildRequires: gtk+3-devel
BuildRequires: gtk4-devel
BuildRequires: glib2-devel
BuildRequires: %{_lib}xkbcommon-devel
BuildRequires: %{_lib}girepository-devel

Requires: fcitx5

%description
This package provide Fcitx5 GClient libraries.

# ---------------------------------------------------------------

%package devel
Summary: Development files for %{name}
Group: Development/C
Requires: %{name} = %{version}-%{release}
Requires: fcitx5-devel

%description devel
Development files for %{name}.

# ---------------------------------------------------------------

%package -n fcitx5-gtk2
Summary:  Fcitx5 gtk+2 module
Requires: %{name} = %{version}-%{release}

%description -n fcitx5-gtk2
This package provide Fcitx5 gtk+2 module.

%post -n fcitx5-gtk2
%{_libdir}/gtk-2.0/bin/gtk-query-immodules-2.0 --update-cache

%postun -n fcitx5-gtk2
%{_libdir}/gtk-2.0/bin/gtk-query-immodules-2.0 --update-cache

# ---------------------------------------------------------------

%package -n fcitx5-gtk3
Summary:  Fcitx5 gtk+3 module
Requires: %{name} = %{version}-%{release}
Requires(post,postun): %{name} = %{version}-%{release}

%description -n fcitx5-gtk3
This package provide Fcitx5 gtk+3 module.

%post -n fcitx5-gtk3
%{_bindir}/gtk-query-immodules-3.0-64 --update-cache

%postun -n fcitx5-gtk3
%{_bindir}/gtk-query-immodules-3.0-64 --update-cache

# ---------------------------------------------------------------

%package -n fcitx5-gtk4
Summary:  Fcitx5 gtk4 module
Requires: %{name} = %{version}-%{release}

%description -n fcitx5-gtk4
This package provide Fcitx5 gtk4 module.

# ---------------------------------------------------------------

%prep
%setup -q

# fix broken Fcitx5GClient.pc file
sed -i -e 's/@FCITX5_GTK_VERSION@/%{version}/' fcitx-gclient/Fcitx5GClient.pc.in


%build
%cmake
%cmake_build


%install
rm -rf $RPM_BUILD_ROOT
%cmake_install


%files
%doc README.md LICENSES/LGPL-2.1-or-later.txt
%{_libdir}/libFcitx5GClient.so.5.*
%{_libdir}/libFcitx5GClient.so.2
%{_libdir}/girepository-1.0/FcitxG-1.0.typelib

%files devel
%{_includedir}/Fcitx5/GClient/
%{_libdir}/cmake/Fcitx5GClient
%{_libdir}/libFcitx5GClient.so
%{_libdir}/pkgconfig/Fcitx5GClient.pc
%{_datadir}/gir-1.0/

%files -n fcitx5-gtk2
%{_libdir}/gtk-2.0/*/immodules/im-fcitx5.so

%files -n fcitx5-gtk3
%{_libdir}/gtk-3.0/*/immodules/im-fcitx5.so

%files -n fcitx5-gtk4
%{_libdir}/gtk-4.0/*/immodules/libim-fcitx5.so


%changelog
* Mon Mar 20 2023 tomcat <> 5.0.23-1.nora23
- 5.0.23

* Sun Mar 12 2023 tomcat <> 5.0.22-1.nora23
- 5.0.22
- build with fcitx5-5.0.22

* Fri Nov 25 2022 tomcat <> 5.0.21-1.nora22
- 5.0.21

* Wed Nov 23 2022 tomcat <> 5.0.20-1.nora22
- 5.0.20
- build with fcitx5-5.0.20

* Tue Aug 30 2022 tomcat <> 5.0.18-1.nora22
- 5.0.18

* Fri Jul 08 2022 tomcat <> 5.0.16-1.nora22
- 5.0.16

* Thu Jun 02 2022 tomcat <> 5.0.15-1.nora22
- 5.0.15

* Tue May 24 2022 tomcat <> 5.0.14-1.nora22
- 5.0.14

* Sat Mar 12 2022 tomcat <> 5.0.13-1.nora22
- 5.0.13

* Tue Feb 08 2022 tomcat <> 5.0.12-1.nora22
- 5.0.12

* Sun Jan 02 2022 tomcat <> 5.0.11-1.nora22
- 5.0.11

* Mon Dec 06 2021 tomcat <> 5.0.10-1.nora21
- 5.0.10

* Tue Nov 09 2021 tomcat <> 5.0.9-1.nora21
- 5.0.9

* Fri May 07 2021 tomcat <> 5.0.7-1.nora21
- 5.0.7

* Sat Apr 03 2021 tomcat <> 5.0.6-2.nora21
- create gtk4 im module as fcitx5-gtk4 sub package

* Tue Mar 23 2021 tomcat <> 5.0.6-1.nora21
- 5.0.6

* Mon Mar 01 2021 tomcat <> 5.0.4-2.nora21
- add Requires(post,postun) into fictx5-gtk3

* Sat Feb 20 2021 tomcat <> 5.0.4-1.nora21
- 5.0.4
- update %%files

* Wed Feb 10 2021 tomcat <> 5.0.3-3.nora21
- add %%post and %%postun sections into fcitx5-gtk and fcitx5-gtk3

* Wed Jan 27 2021 tomcat <> 5.0.3-2.nora21
- separate immodules

* Tue Jan 12 2021 tomcat <> 5.0.3-1.nora21
- 5.0.3

* Tue Jan 12 2021 tomcat <> 5.0.2-1.nora21
- 5.0.2

* Tue Jan 05 2021 tomcat <> 5.0.1-1.nora21
- build for PCLinuxOS
